5 votos

Ubuntu a la lista de avisos de seguridad pertinentes

Si quiero averiguar lo que las actualizaciones de seguridad que hay en un redhat/centos servidor y el coresponding asesor de seguridad me puede ejecutar este comando:

yum --security list-security

Que incluyen datos tales como:

RHSA-2013:0132 security autofs-1:5.0.1-0.rc2.177.el5.x86_64
RHSA-2013:0131 security gnome-vfs2-2.16.2-10.el5.x86_64
RHSA-2013:0135 security gtk2-2.10.4-29.el5.i386
RHSA-2013:0130 security httpd-2.2.3-74.el5.x86_64
RHSA-2012:1590 security libtiff-3.8.2-18.el5_8.i386
RHSA-2013:0120 security quota-1:3.13-8.el5.x86_64
RHSA-2013:0129 security ruby-1.8.5-27.el5.x86_64
RHSA-2013:0129 security ruby-libs-1.8.5-27.el5.x86_64
RHSA-2013:0122 security tcl-8.4.13-6.el5.x86_64

De este modo, no sólo yo sé lo que los paquetes deben estar actualizados, si quiero también se puede encontrar lo que el riesgo de seguridad es en el detalle de la RSSA. Básica y muy útil la información que tienen.

El más cercano que pude averiguar en ubuntu es:

sudo apt-get upgrade -s| grep ^Inst |grep -i security

Desafortunadamente esto solo me demuestra que hay paquetes de seguridad que necesitan ser instalados.

Hay forma nativa para averiguar la relacionada con los avisos de seguridad? Por los nativos, me refiero sin tener que utilizar un paquete de terceros.

3voto

Michael Hampton Puntos 88271

Además de la opción que dio:

apt-get -s dist-upgrade |grep "^Inst" |grep -i securi 

Puedes intentar:

unattended-upgrade --dry-run -d

y

/usr/lib/update-notifier/apt-check -p

(Visto en Ask Ubuntu)

EnMiMaquinaFunciona.com

EnMiMaquinaFunciona es una comunidad de administradores de sistemas en la que puedes resolver tus problemas y dudas.
Puedes consultar las preguntas de otros sysadmin, hacer tus propias preguntas o resolver las de los demás.

Powered by: